## weston 13.0.0

=== debian/changelog ===
weston (13.0.0-4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:40:05 +1100

weston (13.0.0-4build2) noble; urgency=medium

  * No-change rebuild against freerdp2 with t64

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Mar 2024 17:36:17 +0100

weston (13.0.0-4build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:39:50 +0000

weston (13.0.0-4) unstable; urgency=medium

  * Fix syntax of non fatal tests

 -- Dylan Aïssi <daissi@debian.org>  Tue, 27 Feb 2024 09:24:06 +0100

weston (13.0.0-3) unstable; urgency=medium

  * Retrict architectures where tests are run
  * Disable backend-rdp for i64 and backend-vnc for i64 and sparc64,
      because of Build-Deps not available.
  * Mark Skip_xwayland_test.patch as 'Forwarded: not-needed'
  * Switch from pkg-config to pkgconf

 -- Dylan Aïssi <daissi@debian.org>  Mon, 26 Feb 2024 18:02:10 +0100

weston (13.0.0-2) unstable; urgency=medium

  * Mark libweston-13-dev as 'Multi-Arch: same'
  * Install all manpages through weston.install
  * Enable all hardening flags
  * Add Build-Depends-Package field in symbols file
  * Add debian/upstream/metadata
  * Apply wrap-and-sort -a
  * Skip xwayland test since it fails at build time and on the
      autopkgtest infrastructure
  * Use build time tests as autopkgtest until upstream tests can be installed

 -- Dylan Aïssi <daissi@debian.org>  Thu, 22 Feb 2024 17:45:02 +0100

weston (13.0.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Mon, 22 Jan 2024 10:00:54 +0100

weston (13.0.0-1~exp2) experimental; urgency=medium

  * Drop outdated references to quilt
  * Fix short description of libweston-13-dev
  * Standards-Version: 4.6.2 (no changes required)
  * Update debian/copyright
  * Remove trailing whitespace in debian/changelog
  * Update minimum version of Build-Deps
      - libdrm-dev >= 2.4.108
      - libinput-dev >= 1.2.0
      - libwayland-dev >= 1.22.0
      - meson >= 0.63.0
      - wayland-protocols >= 1.31
      - libneatvnc-dev >= 0.7.0
  * Add debian/gbp.conf
  * Use secure URI for homepage
  * Switch to debhelper-compat 13
  * Install some binaries in usr/libexec/ instead of usr/lib/*/
  * Drop useless debian/tmp/ prefix
  * weston suggests wayland-utils (Closes: #980995)
  * Mark libweston-13-0 as 'Multi-Arch: same'
  * Remove all references to weston-launch which was dropped
      upstream with weston 11
  * Drop dependency on adduser, no longer required since
      weston.postinst was dropped
  * Restrict Build-Deps on libneatvnc-dev for supported architectures

 -- Dylan Aïssi <daissi@debian.org>  Fri, 19 Jan 2024 09:47:00 +0100

weston (13.0.0-1~exp1) experimental; urgency=medium

  [ Dylan Aïssi ]
  * New upstream release. (Closes: #1054695)
  * Bump SONAME to libweston-13-0
  * Update symbols file
  * Use format: 3.0 (quilt)
  * Import Marius Vlad's key
  * Add myself in Uploaders

  [ Timo Aaltonen ]
  * rules: Drop the workaround to drop includedir from
      libweston-NN-protocols.pc. (LP: #1887301)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 17 Jan 2024 20:56:05 +0100

weston (12.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 03 Aug 2023 13:57:10 +0200

weston (12.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 01 Aug 2023 17:04:32 +0200

weston (11.0.0-2) experimental; urgency=medium

  * Add signing-key by emersion.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Jan 2023 20:10:49 +0200

weston (11.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 14 Oct 2022 18:26:54 +0200

weston (10.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 08 Jul 2022 18:17:57 +0200

weston (10.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Adjust files for version 10
  * debian/control: adjust versioned build dependencies

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 07 Feb 2022 13:02:27 +0100

weston (9.0.0-4) unstable; urgency=high

  * debian/rules: make tests non fatal
    - Xwayland test needs a proper environment to run.

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 04 Mar 2021 22:12:48 +0100

weston (9.0.0-3) unstable; urgency=high

  * re-enable pipewire support with new ABI (0.3)
  * set XDG_RUNTIME_DIR for testsuite at build daemons
    - failing tests are fatal for build.

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 04 Mar 2021 20:01:52 +0100

weston (9.0.0-2) unstable; urgency=medium

  * debian/libweston-9-dev.install: drop libexec_weston (Closes: #970134)

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 20 Sep 2020 10:36:42 +0200

weston (9.0.0-1) unstable; urgency=medium

  * Release to unstable.

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 11 Sep 2020 12:57:05 +0200

weston (9.0.0-1~exp1) experimental; urgency=medium

  * New upstream release
  * debian/libweston-9-0.install: disable pipewire plugin, waiting for
    pipewire-0.3 transition
  * debian/libweston-9-0.symbols: update
  * weston: install kiosk shell

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 04 Sep 2020 14:19:31 +0200

weston (8.0.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libweston-8-0.symbols: update
  * libexec_weston.so*,weston-direct-display.xml: new files

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 10 Feb 2020 12:23:53 +0100

weston (7.0.0-1~exp1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump wayland dependency version
  * debian/control: add new dependencies
  * bump libweston-desktop ABI to 7
  * install weston-debug.xml in ABI versioned path
  * debian/weston.manpages: add weston-bindings manpage

