=== debian/control ===
Source: weston
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
           Héctor Orón Martínez <zumbi@debian.org>,
           Emilio Pozuelo Monfort <pochu@debian.org>,
           Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13),
               freerdp2-dev [!ia64],
               libcairo2-dev (>= 1.10.0),
               libcolord-dev (>= 0.1.27),
               libdbus-1-dev,
               libdrm-dev (>= 2.4.108),
               libegl1-mesa-dev (>= 9.0~),
               libgbm-dev (>= 17.2),
               libgdk-pixbuf-2.0-dev,
               libgles2-mesa-dev (>= 9.0~),
               libglu1-mesa-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libinput-dev (>= 1.2.0),
               libjpeg-dev,
               liblcms2-dev,
               libneatvnc-dev (>= 0.7.0) [!ia64 !sparc64],
               libpam0g-dev,
               libpango1.0-dev,
               libpipewire-0.3-dev,
               libpixman-1-dev (>= 0.25.2),
               libpng-dev,
               libseat-dev (>= 0.4),
               libsystemd-dev,
               libudev-dev (>= 136),
               libva-dev,
               libvpx-dev,
               libwayland-dev (>= 1.22.0),
               libwebp-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-cursor-dev,
               libxcb-shape0-dev,
               libxcb-xfixes0-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxkbcommon-dev (>= 0.3.0),
               libxml2-dev,
               mesa-common-dev,
               meson (>= 0.63.0),
               pkgconf,
               wayland-protocols (>= 1.31)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://wayland.freedesktop.org/
Vcs-Git: https://salsa.debian.org/xorg-team/wayland/weston.git
Vcs-Browser: https://salsa.debian.org/xorg-team/wayland/weston

Package: weston
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libweston-8-dev
Conflicts: libweston-8-dev
Replaces: libweston-8-dev
Recommends: libgl1-mesa-dri
Suggests: wayland-utils
Description: reference implementation of a wayland compositor
 Part of the Wayland project is also the Weston reference implementation
 of a Wayland compositor. Weston can run as an X client or under Linux
 KMS and ships with a few demo clients. The Weston compositor is a minimal
 and fast compositor and is suitable for many embedded and mobile use
 cases.

Package: libweston-13-0
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: weston (<< 1.12.0-1)
Breaks: weston (<< 1.12.0-1)
Description: reference implementation of a wayland compositor (shared libs)
 Part of the Wayland project is also the Weston reference implementation
 of a Wayland compositor. Weston can run as an X client or under Linux
 KMS and ships with a few demo clients. The Weston compositor is a minimal
 and fast compositor and is suitable for many embedded and mobile use
 cases.
 .
 This package includes the libweston shared libraries.

Package: libweston-13-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libpixman-1-dev,
         libwayland-dev,
         libweston-13-0 (= ${binary:Version}),
         libxkbcommon-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: weston (<< 1.12.0-1)
Breaks: weston (<< 1.12.0-1)
Description: reference implementation of a wayland compositor (headers)
 Part of the Wayland project is also the Weston reference implementation
 of a Wayland compositor. Weston can run as an X client or under Linux
 KMS and ships with a few demo clients. The Weston compositor is a minimal
 and fast compositor and is suitable for many embedded and mobile use
 cases.
 .
 This package includes the libweston headers.
