## weston 13.0.1

=== debian/changelog ===
weston (13.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file
  * Standards-Version: 4.7.0 (no changes required)
  * Don't install rdp-backend on ia64 (disabled)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 23 Apr 2024 21:47:40 +0200

weston (13.0.0-5) unstable; urgency=medium

  * Don't install disabled features on ia64 and sparc64
  * Do not check the upper limit for neatvnc version (Closes: #1065816)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 11 Mar 2024 12:01:23 +0100
