## weston 14.0.0

=== debian/changelog ===
weston (14.0.0-2~bpo12+2) bookworm-backports; urgency=medium

  * Use freerdp2-dev on architectures where freerdp3-dev is
    not available in Bookworm.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 21 Sep 2024 21:39:48 +0200

weston (14.0.0-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Disable VNC backend, required minimum version of libneatvnc
      is not available in Bookworm.
  * Bump minimum version of libdisplay-info-dev,
      it's required to get a better color management like HDR support.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 20 Sep 2024 09:40:31 +0200

weston (14.0.0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * d/p/libweston-noop-renderer-Check-shm_buffer-for-NULL.patch:
    Add proposed patch fixing a crash while running the gtk4 test suite.
    Thanks to Jan Alexander Steffens (heftig) (Closes: #1081515)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 15 Sep 2024 14:20:35 +0200

weston (14.0.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Wed, 11 Sep 2024 11:30:18 +0200

weston (14.0.0-1~exp2) experimental; urgency=medium

  * Switch to freerdp3-dev from freerdp2-dev in Build-Deps

 -- Dylan Aïssi <daissi@debian.org>  Mon, 09 Sep 2024 17:17:54 +0200

weston (14.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop Remove_upper_limit_of_required_neatvnc_version.patch,
      no longer required.
  * Add new Build-Deps: libdisplay-info-dev
  * Bump SONAME to libweston-14-0
  * Update symbols file
  * Drop gentarball target in rules since we use upstream signed tarballs
  * Drop packaging tweaks for architecture ia64
  * Update minimum version of Build-Deps
      - wayland-protocols >= 1.33

 -- Dylan Aïssi <daissi@debian.org>  Wed, 04 Sep 2024 17:17:11 +0200
