=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ifneq (,$(filter sparc64,$(DEB_HOST_ARCH)))
 BACKEND_VNC=false
 else
-BACKEND_VNC=false
+BACKEND_VNC=true
 endif
 
 override_dh_auto_configure:
@@ -19,7 +19,7 @@
 	mkdir -p $(CURDIR)/debian/tmp/tmp/xdgruntimedir
 # Only make tests fatal for a subset of architectures
 # https://gitlab.freedesktop.org/wayland/weston/-/issues/739
-ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel i386 ppc64el))
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el))
 	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test
 else
 	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test || true
