=== debian/changelog ===
weston (14.0.2-5) unstable; urgency=high

  * Team upload
  * Increase build test timeout because of riscv64 (Closes: #1120434)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 09 Nov 2025 14:31:47 -0500

weston (14.0.2-4) unstable; urgency=high

  * Team upload

  [ Jeremy Bícha ]
  * Cherry-pick patch to allow building with libdisplay-info 0.3
  * Update debian/gbp.conf

  [ Dylan Aïssi ]
  * Convert watch to version 5 and use Gitlab template

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 09 Nov 2025 07:53:33 -0500

weston (14.0.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 23 Sep 2025 09:47:16 +0200

weston (14.0.2-2) experimental; urgency=medium

  * Build Weston documentation and install it in weston-doc.
  * Add new Build-Deps-Indep: python3-breathe, python3-sphinx and
      python3-sphinx-rtd-theme.
  * Cherry-pick upstream patch to fix compatibility with sphinx 8.x.
  * salsa-ci: add jobs to test nodoc profile and cross-build.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 18 Sep 2025 14:55:41 +0200

weston (14.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Add some references in debian/upstream/metadata.
  * Use dh_installman to install manpages.
  * debian/watch: rely on gitlab releases instead of releases.html
      which tends to be outdated.
  * Drop patch included in upstream release.
  * Add debian/salsa-ci.yml.
  * Standards-Version: 4.7.2 (no changes required)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 25 Apr 2025 17:28:58 +0200

weston (14.0.1-3) unstable; urgency=medium

  * Cherry pick upstream patch allowing to build against neatvnc 0.9.0

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 Nov 2024 10:04:10 +0100

weston (14.0.1-2) unstable; urgency=medium

  [ Carlos Henrique Lima Melara ]
  * d/control: Recommends xwayland so it works out-of-the-box

  [ Dylan Aïssi ]
  * Run autopkgtest on failing architectures but marked as flaky
  * Add xwayland in Build-Deps to ensure that HAVE_XWAYLAND_LISTENFD
      is properly defined
  * Re-enable xwayland test
  * Enable tests (build time and autopkgtest) on riscv64 since they are
      now successful

 -- Dylan Aïssi <daissi@debian.org>  Fri, 08 Nov 2024 15:49:46 +0100
