=== debian/rules ===
--- 
+++ 
@@ -8,19 +8,27 @@
 BACKEND_VNC=true
 endif
 
+ifeq (,$(filter weston-doc,$(shell dh_listpackages)))
+CONFIGURE_FLAGS = -Ddoc=false
+else
+CONFIGURE_FLAGS = -Ddoc=true
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	        -Dbackend-rdp=true \
 	        -Dbackend-vnc=$(BACKEND_VNC) \
 	        -Dscreenshare=true \
-		-Dsystemd=true
+		-Dsystemd=true \
+		$(CONFIGURE_FLAGS)
 
 override_dh_auto_test:
 	mkdir -p $(CURDIR)/debian/tmp/tmp/xdgruntimedir
+	mkdir -p /tmp/.X11-unix
 # Only make tests fatal for a subset of architectures
 # https://gitlab.freedesktop.org/wayland/weston/-/issues/739
-ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el))
-	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el riscv64))
+	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test --  --timeout-multiplier 3
 else
 	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test || true
 endif
