## weston 14.0.91

=== debian/changelog ===
weston (14.0.91-1) experimental; urgency=medium

  * New upstream release (alpha release for 15.0.0)
  * Bump SONAME to libweston-15-0
  * Update symbols file
  * Drop patches included in upstream release
  * Disable deprecated screenshare option
  * Don't install fullscreen-shell and screen-share because deprecated
  * Add libvulkan-dev and glslang-tools in Build-Deps required for
      Vulkan-renderer
  * Install vulkan-renderer in libweston-15-0
  * Add liblua5.4-dev in Build-Deps required for
      lua-shell
  * Install lua-shell and shell.lua  in weston
  * Make tests non fatal for now in debian/rules,
      this will need to be fixed before the version 15.0.0
  * Adjust VCS fields in d/control and d/gbp.conf for experimental
  * gbp.conf: add upstream-vcs-tag
  * Update debian/watch to target the signed tarball

 -- Dylan Aïssi <daissi@debian.org>  Mon, 22 Dec 2025 23:50:41 +0100
