=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                freerdp3-dev,
+               glslang-tools,
                libcairo2-dev (>= 1.10.0),
                libcolord-dev (>= 0.1.27),
                libdbus-1-dev,
@@ -24,6 +25,7 @@
                libinput-dev (>= 1.2.0),
                libjpeg-dev,
                liblcms2-dev,
+               liblua5.4-dev,
                libneatvnc-dev (>= 0.7.0) [!sparc64],
                libpam0g-dev,
                libpango1.0-dev,
@@ -35,6 +37,7 @@
                libudev-dev (>= 136),
                libva-dev,
                libvpx-dev,
+               libvulkan-dev,
                libwayland-dev (>= 1.22.0),
                libwebp-dev,
                libx11-dev,
@@ -51,10 +54,15 @@
                mesa-common-dev,
                meson (>= 0.63.0),
                pkgconf,
-               wayland-protocols (>= 1.33)
-Standards-Version: 4.7.0
+               wayland-protocols (>= 1.33),
+               xwayland
+Build-Depends-Indep:
+               python3-breathe <!nodoc>,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/xorg-team/wayland/weston
-Vcs-Git: https://salsa.debian.org/xorg-team/wayland/weston.git
+Vcs-Git: https://salsa.debian.org/xorg-team/wayland/weston.git -b debian-experimental
 Homepage: https://wayland.pages.freedesktop.org/weston/
 Rules-Requires-Root: no
 
@@ -62,7 +70,8 @@
 Architecture: linux-any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: libgl1-mesa-dri
+Recommends: libgl1-mesa-dri,
+            xwayland
 Suggests: wayland-utils
 Description: reference implementation of a wayland compositor
  Part of the Wayland project is also the Weston reference implementation
@@ -74,7 +83,7 @@
 Package: weston-dev
 Architecture: linux-any
 Depends: weston,
-         libweston-14-dev,
+         libweston-15-dev,
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: weston (<< 14.0.0-3)
@@ -88,7 +97,22 @@
  .
  This package includes the weston headers for plugin development.
 
-Package: libweston-14-0
+Package: weston-doc
+Section: doc
+Build-Profiles: <!nodoc>
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Description: reference implementation of a wayland compositor (doc)
+ Part of the Wayland project is also the Weston reference implementation
+ of a Wayland compositor. Weston can run as an X client or under Linux
+ KMS and ships with a few demo clients. The Weston compositor is a minimal
+ and fast compositor and is suitable for many embedded and mobile use
+ cases.
+ .
+ This package contains the Weston documentation.
+
+Package: libweston-15-0
 Architecture: linux-any
 Multi-Arch: same
 Section: libs
@@ -103,13 +127,13 @@
  .
  This package includes the libweston shared libraries.
 
-Package: libweston-14-dev
+Package: libweston-15-dev
 Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
 Depends: libpixman-1-dev,
          libwayland-dev,
-         libweston-14-0 (= ${binary:Version}),
+         libweston-15-0 (= ${binary:Version}),
          libxkbcommon-dev,
          ${misc:Depends},
          ${shlibs:Depends}
