## weston 14.0.92

=== debian/changelog ===
weston (14.0.92-1) experimental; urgency=medium

  * New upstream release (beta release for 15.0.0)
  * Add mesa-vulkan-drivers in Build-Depends, it is required by tests
  * Set tests as fatal in debian/rules

 -- Dylan Aïssi <daissi@debian.org>  Mon, 12 Jan 2026 22:20:24 +0100
