=== debian/control ===
--- 
+++ 
@@ -52,6 +52,7 @@
                libxkbcommon-dev (>= 0.3.0),
                libxml2-dev,
                mesa-common-dev,
+               mesa-vulkan-drivers <!nocheck>,
                meson (>= 0.63.0),
                pkgconf,
                wayland-protocols (>= 1.33),
