=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 # Only make tests fatal for a subset of architectures
 # https://gitlab.freedesktop.org/wayland/weston/-/issues/739
 ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 ppc64el riscv64))
-	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test || true --  --timeout-multiplier 3
+	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test --  --timeout-multiplier 3
 else
 	XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp/tmp/xdgruntimedir dh_auto_test || true
 endif
