## weston 14.0.93

=== debian/changelog ===
weston (14.0.93-1) experimental; urgency=medium

  * New upstream release (RC1 release for 15.0.0)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 19 Jan 2026 11:07:04 +0100
