## weston 14.0.94

=== debian/changelog ===
weston (14.0.94-1) experimental; urgency=medium

  * New upstream release (RC2 release for 15.0.0)
  * Disable the Vulkan Render on armhf because it causes regressions
    on build-time tests.
  * Remove redundant Rules-Requires-Root
  * Remove redundant Priority: optional
  * Bump Standards-Version to 4.7.3

 -- Dylan Aïssi <daissi@debian.org>  Mon, 26 Jan 2026 14:03:58 +0100
