=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
            Emilio Pozuelo Monfort <pochu@debian.org>,
            Dylan Aïssi <daissi@debian.org>
 Section: x11
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                freerdp3-dev,
@@ -61,11 +60,10 @@
                python3-breathe <!nodoc>,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/xorg-team/wayland/weston
 Vcs-Git: https://salsa.debian.org/xorg-team/wayland/weston.git -b debian-experimental
 Homepage: https://wayland.pages.freedesktop.org/weston/
-Rules-Requires-Root: no
 
 Package: weston
 Architecture: linux-any
