=== debian/watch ===
Version: 5

Source: https://gitlab.freedesktop.org/api/v4/projects/wayland%2Fweston/releases
Matching-Pattern: https://gitlab.freedesktop.org/wayland/weston/-/releases/?\d[\d.]+/downloads/weston-@ANY_VERSION@\.tar\.xz
Pgpsigurlmangle: s/$/.sig/
Searchmode: plain
