## weston 14.0.95

=== debian/changelog ===
weston (14.0.95-1) experimental; urgency=medium

  * New upstream release (RC3 release for 15.0.0)
  * Update symbols file: add 2 new symbols

 -- Dylan Aïssi <daissi@debian.org>  Wed, 04 Feb 2026 23:49:02 +0100
