## weston 15.0.0

=== meson_options.txt ===
--- 
+++ 
@@ -9,10 +9,10 @@
 	description: 'Weston backend: DRM/KMS'
 )
 option(
-	'backend-drm-screencast-vaapi',
-	type: 'boolean',
-	value: true,
-	description: 'DRM/KMS backend support for VA-API screencasting'
+	'deprecated-backend-drm-screencast-vaapi',
+	type: 'boolean',
+	value: false,
+	description: 'DEPRECATED: DRM/KMS backend support for VA-API screencasting'
 )
 option(
 	'backend-headless',
@@ -33,10 +33,10 @@
 	description: 'Weston backend: RDP remote screensharing'
 )
 option(
-	'screenshare',
-	type: 'boolean',
-	value: true,
-	description: 'Compositor: RDP screen-sharing support'
+	'deprecated-screenshare',
+	type: 'boolean',
+	value: false,
+	description: 'DEPRECATED: Compositor: RDP screen-sharing support. Requires fullscreen-shell support'
 )
 option(
 	'backend-vnc',
@@ -72,6 +72,13 @@
 )
 
 option(
+	'renderer-vulkan',
+	type: 'boolean',
+	value: true,
+	description: 'Weston renderer: Vulkan'
+)
+
+option(
 	'xwayland',
 	type: 'boolean',
 	value: true,
@@ -112,10 +119,10 @@
 	description: 'Weston shell UI: traditional desktop'
 )
 option(
-	'shell-fullscreen',
-	type: 'boolean',
-	value: true,
-	description: 'Weston shell UI: fullscreen/kiosk'
+	'deprecated-shell-fullscreen',
+	type: 'boolean',
+	value: false,
+	description: 'DEPRECATED: Weston shell UI: fullscreen/kiosk. For a more modern alternative, use kiosk-shell instead'
 )
 option(
 	'shell-ivi',
@@ -128,6 +135,12 @@
 	type: 'boolean',
 	value: true,
 	description: 'Weston shell UI: kiosk (desktop apps)'
+)
+option(
+	'shell-lua',
+	type: 'boolean',
+	value: true,
+	description: 'Weston shell UI: Lua (programmable)'
 )
 
 option(
@@ -214,3 +227,9 @@
 	value: false,
 	description: 'Generate documentation'
 )
+option(
+	'perfetto',
+	type : 'boolean',
+	value : false,
+	description : 'Enable performance analysis with Perfetto.'
+)
