=== debian/changelog ===
weston (15.0.0-1) unstable; urgency=medium

  * New upstream release
  * Adjust VCS fields in d/control and d/gbp.conf for unstable
  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Thu, 19 Feb 2026 10:00:04 +0100
