=== debian/control ===
--- 
+++ 
@@ -62,7 +62,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
 Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/xorg-team/wayland/weston
-Vcs-Git: https://salsa.debian.org/xorg-team/wayland/weston.git -b debian-experimental
+Vcs-Git: https://salsa.debian.org/xorg-team/wayland/weston.git
 Homepage: https://wayland.pages.freedesktop.org/weston/
 
 Package: weston
